Bug 1601071 - Certificate generation happens with partial attributes in CMCRequest file
Summary: Certificate generation happens with partial attributes in CMCRequest file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pki-core
Version: 7.5
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Christina Fu
QA Contact: Asha Akkiangady
URL:
Whiteboard:
Depends On:
Blocks: 1611245
TreeView+ depends on / blocked
 
Reported: 2018-07-13 19:22 UTC by Geetika Kapoor
Modified: 2018-10-30 11:07 UTC (History)
3 users (show)

Fixed In Version: pki-core-10.5.9-6.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
: 1611245 (view as bug list)
Environment:
Last Closed: 2018-10-30 11:07:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3195 None None None 2018-10-30 11:07:43 UTC

Comment 2 Christina Fu 2018-08-01 01:13:10 UTC
regarding https://bugzilla.redhat.com/show_bug.cgi?id=1594128#c12,
I will enable CERT_STATUS_CHANGE_REQUEST_PROCESSED by default.

Comment 3 Christina Fu 2018-08-01 18:06:51 UTC
patch cherry-picked from DOGTAG_10_5_BRANCH
https://review.gerrithub.io/c/dogtagpki/pki/+/421026

Comment 4 Christina Fu 2018-08-01 18:28:16 UTC
commit 2609383417755d81419cc6f53d1d9853fdc906df (HEAD -> master, origin/master, origin/HEAD, bug-1601071-CMCSelfSigned-master)
Author: Christina Fu <cfu@redhat.com>
Date:   Mon Jul 30 17:15:09 2018 -0700

    Bug 1601071 Certificate generation happens with partial attributes in CMCRequest file
    
    This patch addresses the issue where when a cmcSelfSisnged profile is used
    in a cmcUserSigned case, the certificate is issued.
    A new authToken variable TOKEN_SHARED_TOKEN_AUTHENTICATED_CERT_SUBJECT has
    been introduced for shared token case so that the TOKEN_AUTHENTICATED_CERT_SUBJECT can be used for user-signed case.
    A new constraint CMCSelfSignedSubjectNameConstraint has been introduced
    to verify.
    In additional, all profiles that authenticate through CMCUserSignedAuth are
    turned off by default to allow site administrators to make conscious decision
    on their own for these features.
    Also, audit event CERT_STATUS_CHANGE_REQUEST_PROCESSED is now enabled by default.
    
    Change-Id: I8405b2e83f7ea3e3da98164cbc87762cdfa7475f

Comment 7 Geetika Kapoor 2018-09-03 07:17:45 UTC
Hi Christina,

I saw that you have changed enable=true to enable=false so bydefault it is disabled and when i try to use this profile i need to enable it before using it with httpclient. Not sure if it is expected?

Thanks
Geetika

Comment 9 Geetika Kapoor 2018-09-10 02:15:07 UTC
Marking this bug verified.I will ask/raise a new bug if Christina feels Comment7 looks like an issue and customer might need it.

Comment 10 Christina Fu 2018-09-10 16:44:02 UTC
(In reply to Geetika Kapoor from comment #7)
> Hi Christina,
> 
> I saw that you have changed enable=true to enable=false so bydefault it is
> disabled and when i try to use this profile i need to enable it before using
> it with httpclient. Not sure if it is expected?
> 
> Thanks
> Geetika

The answer is in comment #4.  I'll make sure the install guide mentions to enable this before using.  thanks.

Comment 12 errata-xmlrpc 2018-10-30 11:07:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3195


Note You need to log in before you can comment on or make changes to this bug.